Kerbal Space Program - Bug #2856

Engine/fuel still showing on craft after undocking
08/05/2014 06:37 PM - BlobKerman

Status: Closed Start date: 08/05/2014
Severity: Very Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23.5 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

After undocking, engine and fuel from undocked external craft are still showing on current craft. See attached screenshot.

Win7 pro, 64bit
KSP 0.23.5, no mods

History

#1 - 08/05/2014 10:39 PM - Mesons

- Status changed from New to Need More Info

Can somebody with permission change the status of this bug to Confirmed? I'm going to be much more careful about changing the status now...

You shouldn't post bugs for versions of KSP that aren't the most recent--they could be something already fixed in the latest version.

| take it back! | can confirm this bug in 0.24.2 64-bit and 32-bit, Ubuntu 14.04. In the image below, you can clearly see the undocked engine and tank
still present in the staging list. This bug occurs with all engines and all fuel types, but only after two autonomous craft are docked and then undocked.

Steps to reproduce:

1. Dock two autonomous vessels, at least one of which has an engine (need not be activated)
2. Undock the vessels

The Decouple Node option for docking ports joined in the VAB does not reproduce this bug.

Switching vessels or loading a save fixes the staging list.
#2 - 08/06/2014 02:21 AM - hermes47

- Status changed from Need More Info to Confirmed

- % Done changed from 0 to 10

#3 - 07/17/2016 09:26 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#4 - 08/09/2016 10:56 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
